Bug 224427 - [Symantec RHCS3.8] svclib_filesystem does not contain vxfs entry for remounting
Summary: [Symantec RHCS3.8] svclib_filesystem does not contain vxfs entry for remounting
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: clumanager   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-25 17:14 UTC by Marek Grac
Modified: 2009-04-16 20:21 UTC (History)
3 users (show)

Fixed In Version: RHBA-2007-0165
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-14 12:53:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to make VXFS work against clumanager; by Marek Grac (1.06 KB, patch)
2007-01-25 17:38 UTC, Lon Hohberger
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0165 normal SHIPPED_LIVE clumanager bug fix update 2007-06-14 12:53:20 UTC

Description Marek Grac 2007-01-25 17:14:40 UTC
+++ This bug was initially created as a clone of Bug #214935 +++

Description of problem:
A customer a client would like to run RHCS 3.0 and Veritas Filesystem 4.0
(vxfs).  They would like to have Cluster Suite manage the failing over of the
filesystem, but when they choose the vxfs filesystem, nothing happens.

Version-Release number of selected component (if applicable): ALL RHEL 3/4/5

How reproducible: Always

Steps to Reproduce:
(a) start clumanager on both nodes
(b) disable the service
(c) edit the configuration and manually change the file system type to
vxfs & increment the config_viewnumber
(d) run 'service clumanager reload' 
  
Actual results:
Without an edited configuration file
(/usr/lib/clumanager/services/svclib_filesystem), nothing.

Expected results:
mount -t vxfs

Additional info:


Index: svclib_filesystem
===================================================================
RCS file: /cvs/devel/clumanager/src/services/svclib_filesystem,v
retrieving revision 1.21
diff -u -r1.21 svclib_filesystem
--- svclib_filesystem    20 Jul 2006 13:31:14 -0000    1.21
+++ svclib_filesystem    10 Oct 2006 14:32:50 -0000
@@ -427,6 +427,7 @@
         jfs)      typeset fsck_needed="" ;;
         xfs)      typeset fsck_needed="" ;;
         gfs)      typeset fsck_needed="" ;;
+       vxfs)      typeset fsck_needed="" ;;
         ext2)     typeset fsck_needed=yes ;;
         minix)    typeset fsck_needed=yes ;;
         vfat)     typeset fsck_needed=yes ;;

Comment 1 Lon Hohberger 2007-01-25 17:38:27 UTC
Created attachment 146590 [details]
Patch to make VXFS work against clumanager; by Marek Grac

Comment 10 Red Hat Bugzilla 2007-06-14 12:53:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0165.html



Note You need to log in before you can comment on or make changes to this bug.